<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Masters extends CI_Controller
{


    function __construct()
    {
        parent::__construct();

        $this->load->database();

        $this->load->helper('url');
        $this->load->model('Action_model');
        $this->load->library('grocery_CRUD');

        if (!$this->ion_auth->in_group('Masters'))
        {
            // redirect them to the login page

            return show_error('You must be an admin to view this page.');

        }
    }




    public function _example_output($output = null)
    {
        $this->load->model('Action_model');
        $query=$this->Action_model->about_test();

        $data['aboutdata']=null;
        if ($query)
        {
            $data['aboutdata']=$query;
        }
        $this->load->view('admin/header.php',$data);
        $this->load->view('admin/navbar.php');
//        $this->load->view('admin/n3.php');
        $this->load->view('admin/n1.php',(array)$output);
        $this->load->view('admin/footer.php');

    }


    public function index()
    {

        $this->_example_output((object)array('output' => '' , 'js_files' => array() , 'css_files' => array()));

    }


    public function speclity()
    {

        try {

            $crud = new grocery_CRUD();

            $crud->set_theme('bootstrap');
            $crud->set_table('speciallity');
            $crud->set_subject('speciallity');

            $crud->columns('id','TestCode','TestName','HealthvolletTest	','RoutineTests','Synonyms','Cat','Section');
            $crud->unset_texteditor('id','TestCode','TestName','HealthvolletTest','RoutineTests','Synonyms','Cat','Section');

            $output = $crud->render();
            $this->_example_output($output);


        }
        catch
        (Exception $e){
            show_error($e->getMessage() . ' --- ' . $e->getTraceAsString());
        }

    }

    public function doccat()
    {

        try {

            $crud = new grocery_CRUD();

            $crud->set_theme('bootstrap');
            $crud->set_table('doccat1');
            $crud->set_subject('Doctor Category');

            $crud->columns('id','Name');
            $crud->fields('id','Name');
            $crud->unset_texteditor('id','Name');


            $output = $crud->render();


            $this->_example_output($output);


        }
        catch
        (Exception $e){
            show_error($e->getMessage() . ' --- ' . $e->getTraceAsString());
        }

    }


    public function fees()
    {

        try {

            $crud = new grocery_CRUD();
            $crud->set_theme('bootstrap');
            $crud->set_table('fee');
            $crud->set_subject('fees Category');

            $crud->columns('id','Code','FeesName','Category','Maincat');
            $crud->unset_texteditor('id','Code','FeesName','Category','Maincat');

            $output = $crud->render();
            $this->_example_output($output);


        }
        catch
        (Exception $e){
            show_error($e->getMessage() . ' --- ' . $e->getTraceAsString());
        }

    }


    public function medicine()
    {

        try {

            $crud = new grocery_CRUD();

            $crud->set_theme('bootstrap');
            $crud->set_table('hvmedicalmaster');
            $crud->set_subject('medicine');

            $crud->columns('id','Medicinename','Strength','Moleculename','Therapyarea','Form','Packing');
            $crud->unset_texteditor('id','Medicinename','Strength','Moleculename','Therapyarea','Form','Packing');


            $output = $crud->render();


            $this->_example_output($output);


        }
        catch
        (Exception $e){
            show_error($e->getMessage() . ' --- ' . $e->getTraceAsString());
        }

    }


    public function Radiology()
    {

        try {

            $crud = new grocery_CRUD();

            $crud->set_theme('bootstrap');
            $crud->set_table('hvradiologymaster');
            $crud->set_subject('Radiology');

            $crud->columns('id','Category','Testname','Rate');
            $crud->unset_texteditor('id','Category','Testname','Rate');



            $crud->field_type('id', 'hidden');



            $output = $crud->render();


            $this->_example_output($output);

        }
        catch
        (Exception $e){
            show_error($e->getMessage() . ' --- ' . $e->getTraceAsString());
        }

    }





}
?>

