<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class User extends CI_Controller
{

	function __construct()
	{
		parent::__construct();


		$this->load->database();

		$this->load->helper('url');
		$this->load->model('Action_model');
//		$this->load->model('complaints_model');

		$this->load->library('grocery_CRUD');
//		$this->load->library('ajax_grocery_crud');
		$this->load->library('session');
		$this->uries = $this->uri->segment_array();
//        $this->load->helper('date');

		$this->session->set_userdata(array(
			'patient_id' => $this->uri->segment(4),

			'name' => $this->uri->segment(5),

		));
//        $this->grocery_crud->getStateInfo()->primary_key;





	}



	public function _example_output($output = null)
	{
$d = $output;

		$this->load->view('admin/template', (array)$d);




	}

	public function index()
	{


		$this->_example_output((object)array('output' => '', 'js_files' => array(), 'css_files' => array()));

	}



	function User_details($operation = null) {
		$this -> load -> helper('url');
		$this -> class_name = strtolower(__CLASS__);
		try {
			$crud = new grocery_CRUD();

			$crud -> set_theme('bootstrap');
			$crud -> set_table('users');
			$crud -> set_relation_n_n('groupname', 'users_groups', 'groups', 'user_id', 'group_id', 'name');

			if ($operation == 'edit') {
				$crud -> fields('username', 'first_name', 'last_name', 'password', 'email',  'groupname', 'created_on','phone', 'last_login', 'company',  'active');
				$crud -> change_field_type('created_on', 'readonly');
			} else {
				$crud -> fields('username', 'first_name', 'last_name', 'password', 'email',  'created_on', 'last_login', 'company','phone','groupname', 'active');

				$crud -> change_field_type('created_on', 'hidden');
			}
			$crud -> required_fields('username', 'password', 'email',  'active', 'users_group', 'first_name', 'last_name', 'phone');

			$crud	->display_as('username','Username')
				->display_as('first_name','First name')
				->display_as('last_name','Lastname')
				->display_as('password','Password')
				->display_as('email','Email')
				->display_as('groupname','Tabs allowed')
				->display_as('created_on','date of creation')
				->display_as('last_login','last login')
				->display_as('company','Company name')
				->display_as('active','Status')

			;


			$crud -> set_rules('password', 'password', 'min_length[' . $this -> config -> item('min_password_length', 'ion_auth') . ']|max_length[' . $this -> config -> item('max_password_length', 'ion_auth') . ']');
			$crud -> set_rules('email', 'Email','required|valid_email');
			$crud -> set_rules('phone', 'phone','required');
			$crud -> columns('username', 'first_name', 'last_name', 'email',  'groupname', 'created_on', 'last_login','phone','active');
			$crud -> callback_column('created_on', array($this, 'datetime'));
			$crud -> callback_column('last_login', array($this, 'datetime'));
			$crud -> change_field_type('last_login', 'readonly');
			// $crud -> change_field_type('ip_address', 'readonly');
			$crud -> change_field_type('password', 'password');
			$crud -> change_field_type('ip_address', 'readonly');

			$crud -> callback_before_insert(array($this, 'insert_encrypt_password_callback'));
			$crud -> callback_before_update(array($this, 'edit_encrypt_password_callback'));
			$crud -> callback_edit_field('password', array($this, 'decrypt_password_callback'));
			// $crud->callback_edit_field('ip_address', array($this, 'ip_address'));
			$crud -> callback_edit_field('created_on', array($this, 'datetime'));
			$crud -> callback_edit_field('last_login', array($this, 'datetime'));
			$crud ->unset_delete();
			$crud ->unset_read();
			$crud ->unset_clone();

			$output = $crud->render();


			$this->_example_output($output);
		} catch(Exception $e) {
			show_error($e -> getMessage() . ' --- ' . $e -> getTraceAsString());
		}
	}

	function ip_address($value, $row) {
		return @inet_ntop($value);
	}

	function datetime($value, $row) {
		return @date('d M Y H:i:s', $value);
	}

	function insert_encrypt_password_callback($post_array, $primary_key = null) {
		$this -> load -> model('ion_auth_model');

		$post_array['password'] = $this -> ion_auth_model -> hash_password($post_array['password']);
		$post_array['created_on'] = now();

		return $post_array;
	}

	function edit_encrypt_password_callback($post_array, $primary_key = null) {
		$this -> load -> model('ion_auth_model');

		if ($post_array['password'] == 'defaultvalue') {
			unset($post_array['password']);
		} else {
			$post_array['password'] = $this -> ion_auth_model -> hash_password($post_array['password']);
		}
		return $post_array;
	}

	function decrypt_password_callback($value) {
		return "<input type='password' name='password' value='defaultvalue' />";
	}

	public function Aprove($patient_id=0)
	{

		try {


			$crud = new grocery_CRUD();

			$crud->set_theme('bootstrap');
			$crud->set_table('approvedphnos');
			$crud->set_subject('Agent numbers');

			$crud->columns('numbers');
			$crud->fields('numbers');
			$crud->display_as('numbers','Approved agent numbers');

			$output = $crud->render();

			$this->_example_output($output);

		} catch (Exception $e) {
			show_error($e->getMessage() . ' --- ' . $e->getTraceAsString());
		}
	}





}

?>